[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.CanShareImage

Indicates whether the image class type has a shared handle.

## Declaration

Source position: graphics.pp line 1620

`protected function TCustomIcon.CanShareImage(`
`AClass: TSharedRasterImageClass`
`):Boolean; override;`

## Function result

Returns True when AClass is derived from TSharedIcon.

## Description

Determines whether the image class type can be shared. Returns True when AClass is derived from TSharedIcon.

This is a temporary work-around to make Assign work with cursors, icons and icnsicons.

## See also

TRasterImage.CanShareImage |  | CanShareImage - returns True if specified class of image can be shared.